﻿//////////////////////////////////////////////
// ProjectLoadQuery.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "../Dll/DllDefines.h"

// nkGraphics
#include <NilkinsGraphics/Resources/ResourceSetLoadQuery.h>

// nkScripts
#include <NilkinsScripts/Exporter/Project/ProjectLoadQuery.h>

// Standards
#include <string>

/// Class ------------------------------------

namespace nkAstraeus
{
	struct DLL_ASTRAEUS_EXPORT ProjectLoadQuery final
	{
		// Path, override ceux des sous queries
		std::string _path ;

		// Les sous queries
		nkGraphics::ResourceSetLoadQuery _graphicsQuery ;
		nkScripts::ProjectLoadQuery _scriptsQuery ;
	} ;
}