﻿//////////////////////////////////////////////
// Constants.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// Standards
#include <string>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkMemoryWrap
{
	struct Constants
	{
		// Namespace
		inline static const std::string NAMESPACE = "nkMemory" ;

		// UserTypes
		// Containers
		inline static const std::string BUFFER = NAMESPACE + "::Buffer" ;

		inline static const std::string BUFFER_CAST_INT = NAMESPACE + "::BufferCastInt" ;
		inline static const std::string BUFFER_CAST_FLOAT = NAMESPACE + "::BufferCastFloat" ;
		inline static const std::string BUFFER_CAST_DOUBLE = NAMESPACE + "::BufferCastDouble" ;

		inline static const std::string BUFFER_VIEW = NAMESPACE + "::BufferView" ;
		inline static const std::string BUFFER_VIEW_INT = NAMESPACE + "::BufferViewInt" ;
		inline static const std::string BUFFER_VIEW_FLOAT = NAMESPACE + "::BufferViewFloat" ;
		inline static const std::string BUFFER_VIEW_DOUBLE = NAMESPACE + "::BufferViewDouble" ;
	} ;
}