﻿//////////////////////////////////////////////
// MeshDecoder.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkGraphics
{
	class Mesh ;
}

/// Includes ---------------------------------

// nkGraphics
#include "../../Dll/DllDefines.h"

// Standards
#include <string_view>

/// Class ------------------------------------

namespace nkGraphics
{
	class DLL_GRAPHICS_EXPORT MeshDecoder
	{
		public :

			// Constructeur, destructeur
			MeshDecoder () ;
			virtual ~MeshDecoder () ;

			// Décodage
			virtual bool canDecode (const std::string_view& sources) = 0 ;
			virtual bool decode (const std::string_view& sources, Mesh* outMesh) = 0 ;
	} ;
}